@import url(/assets/css/css-reset.css);
@import url(/assets/css/header.css);
@import url(/assets/css/home.css);
@import url(/assets/css/projects.css);

/* here start the custom css */

@font-face {
    font-family: ApfelGrotezk;
    src: url(/assets/fonts/ApfelGrotezk-Regular.woff2);
}

@font-face {
    font-family: Sligoil;
    src: url(/assets/fonts/Sligoil-MicroBold.woff2);
}

/* color variables */

:root {
    --main: #00f;
}

/* basic elements */

body {
    font-family: ApfelGrotezk;
    font-size: 1rem;
    line-height: 1.5rem;
}

/* container rules */

body > * {
    max-width: 40rem;
    margin: auto;
    padding: 1rem;
}

main > * {
    margin: 1rem 0;
}

/* titles */

h2, h3, h5, h6 {
    font-family: Sligoil;
}

h1 {
    margin-bottom: 2rem;
}

h1 {
    text-align: center;
}

h2 {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

h3 {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

h4 {
    margin-bottom: 1rem;
}

a {
    color: var(--main);
    &.external::after {
        content: " ↗";
    }
}

section p, article p {
    /* font-size: 1.3rem; */
    margin-bottom: 1rem;
    &:last-child {
       margin-bottom: 0.5rem;
    }
}

strong {
    -webkit-text-stroke-color: var(--main);
    -webkit-text-stroke-width: 1px;
    color: white;
}

hr {
    margin: 1rem 0;
    border-style: solid;
    border-width: 0.1rem;
    border-color: var(--main);
}

/* rettangolo */

/* section {
    border: 1px solid var(--main);
	border-radius: 1rem;
	padding: 1rem;
} */

.stellina {
    width: 1rem;

    &.left {
        float: left;
    }

    &.right {
        float: right;
    }
}

/* footer */

footer {
    margin-top: 4rem;
    padding-bottom: 2rem;
}

.footer-row {
    display: flex;
    justify-content: space-between;
}

.footer-element:last-child {
    text-align: right;
}